[CalendarServer-changes] [3993] CalendarServer/trunk/bin/watch_memcached

source_changes at macosforge.org source_changes at macosforge.org
Sun Apr 12 14:15:18 PDT 2009


Revision: 3993
          http://trac.macosforge.org/projects/calendarserver/changeset/3993
Author:   wsanchez at apple.com
Date:     2009-04-12 14:15:16 -0700 (Sun, 12 Apr 2009)
Log Message:
-----------


Added Paths:
-----------
    CalendarServer/trunk/bin/watch_memcached

Added: CalendarServer/trunk/bin/watch_memcached
===================================================================
--- CalendarServer/trunk/bin/watch_memcached	                        (rev 0)
+++ CalendarServer/trunk/bin/watch_memcached	2009-04-12 21:15:16 UTC (rev 3993)
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+set -u
+
+watch ()
+{
+  while :; do
+    echo stats;
+    sleep 1;
+    echo "----------------------------------------" >&2;
+  done | nc localhost 11211 2>&1;
+}
+
+if ! watch; then
+  echo "Error contacting memcached for stats.";
+  exit 1;
+fi;


Property changes on: CalendarServer/trunk/bin/watch_memcached
___________________________________________________________________
Added: svn:executable
   + *
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20090412/2a4af054/attachment.html>


More information about the calendarserver-changes mailing list